メインコンテンツまでスキップ

List Global Clusters (V2)

List all global clusters in the account.

GET/v2/globalClusters
Connection Endpoint

The base URL for this API is in the following format:

https://api.cloud.zilliz.com

📘Notes

The endpoints on the control plane currently supports up to 20 requests per second per user per endpoint.

export BASE_URL="https://api.cloud.zilliz.com"
Parameters
Authorizationstringheaderrequired

The authentication token should be an API key with appropriate privileges.

Example Value: Bearer {{TOKEN}}
pageSizeintegerquery

The number of records to include in each response.

Example Value: 10
currentPageintegerquery

The current page number.

Example Value: 1
export TOKEN="YOUR_API_KEY"

curl --request GET \
--url "${BASE_URL}/v2/globalClusters" \
--header "Authorization: Bearer ${TOKEN}" \
--header "Content-Type: application/json"
Responses200 - application/json
countinteger

Total number of global clusters.

currentPageinteger

Current page number.

pageSizeinteger

Number of records per page.

globalClustersarray

List of global clusters.

[]globalClustersobject
globalClusterIdstring

ID of a global cluster.

Example Value: glo-xxxxxxxxxxxxxxx
globalClusterNamestring

Name of a global cluster.

Example Value: my-global-cluster
projectIdstring

ID of the project that the global cluster belongs to.

Example Value: proj-xxxxxxxxxxxxxxx
regionIdsarray

List of region IDs where the global cluster is deployed.

[]regionIdsstring

A region ID.

cuTypestring

Compute unit (CU) type of the global cluster. Members of a global cluster share the same CU type.

Example Value: Performance-optimized
cuSizeinteger

Compute unit (CU) size of the global cluster. Members of a global cluster share the same CU size.

Example Value: 4
connectAddressstring

Connection address of the global cluster.

createTimestring<date-time>

Creation time of the global cluster.

Example Value: 2026-06-01T12:00:00Z

Returns an error message.

codeinteger

Response code.

messagestring

Error message.

{
"count": 1,
"currentPage": 1,
"pageSize": 10,
"globalClusters": [
{
"globalClusterId": "glo-xxxxxxxxxxxxxxx",
"globalClusterName": "my-global-cluster",
"projectId": "proj-xxxxxxxxxxxxxxx",
"regionIds": [
"aws-us-west-2",
"aws-eu-west-1"
],
"cuType": "Performance-optimized",
"cuSize": 4,
"connectAddress": "https://glo-xxxxxxxx.global-cluster.vectordb.zillizcloud.com",
"createTime": "2026-06-01T12:00:00Z"
}
]
}